Bug 245374 - authconfig --winbindjoin=... fails, TypeError: joinDomain() takes exactly 2 arguments (1 given)
Summary: authconfig --winbindjoin=... fails, TypeError: joinDomain() takes exactly 2 a...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: authconfig   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-22 18:16 UTC by Rex Dieter
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 5.3.15-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 22:56:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2007-06-22 18:16:59 UTC
Trying to use /usr/sbin/authconfig on the commandline to script machines joining
our AD domain, but I can't make
authconfig --winbindjoin=...
work, it always gives error:
Traceback (most recent call last):
  File "/usr/sbin/authconfig", line 780, in <module>
    module.run()
  File "/usr/sbin/authconfig", line 375, in run
    self.writeAuthInfo()
  File "/usr/sbin/authconfig", line 354, in writeAuthInfo
    self.joinDomain()
  File "/usr/sbin/authconfig", line 342, in joinDomain
    self.info.joinDomain()
TypeError: joinDomain() takes exactly 2 arguments (1 given)

I've tried the following permutations:
authconfig ... --winbindjoin=<username>
authconfig ... --winbindjoin=<username>%<password>
authconfig ... --winbindjoin=<username>@<domain>%<password>
all with the same results.

Comment 1 Christoph Maser 2007-07-18 12:10:05 UTC
Here is a patching fixing it:

--- authconfig.py       2007-07-18 14:09:03.000000000 +0200
+++ authconfig.py.orig  2007-07-18 14:08:33.000000000 +0200
@@ -337,7 +337,7 @@
 
        def joinDomain(self):
                if self.options.winbindjoin:
-                       self.info.joinDomain(True)
+                       self.info.joinDomain()
 
        def writeAuthInfo(self):
                self.info.testLDAPCACerts()
@@ -379,7 +379,7 @@
        def joinDomain(self):
                # join domain only on kickstart
                if self.options.kickstart and self.options.winbindjoin:
-                       self.info.joinDomain(True)
+                       self.info.joinDomain()
 
        def warnCallback(self, data):
                (comp, warning) = data


Comment 2 Rex Dieter 2007-07-18 12:30:03 UTC
Confirmed, 
self.info.joinDomain(True) -> self.info.joinDomain()
at those 2 locations did the trick.  Thanks Christoph!

Tomas, we have a working patch, can a fixed pkg be pushed?

I'm motivated enough to do the work for you, provided I have pkg.acl access. 
Would be nice to be able to have our kickstart installed "just work". :)


Comment 3 Tomas Mraz 2007-07-18 12:45:58 UTC
I'm sorry for neglecting authconfig a little bit recently.


Comment 4 Tomas Mraz 2007-07-18 15:30:11 UTC
Fixed in authconfig-5.3.15. Will do F7 update as well.


Comment 5 Fedora Update System 2007-07-18 20:54:34 UTC
authconfig-5.3.15-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2007-07-31 22:56:08 UTC
authconfig-5.3.15-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.